<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema">
<xsd:include schemaLocation="client.xsd"/>
<xsd:element name="cacheresponse" type="cacheres"/>
<xsd:complexType name="cacheres">
  <xsd:sequence>
    <xsd:element name="destination" type="client" minOccurs="1" 
      maxOccurs="1"/>
    <xsd:element name="source" type="client" minOccurs="1" maxOccurs="1"/>
    <xsd:element name="list" minOccurs="1" maxOccurs="1">
      <xsd:complexType>
        <xsd:sequence>
          <xsd:element name="node" type="client" minOccurs="0" 
            maxOccurs="unbounded"/>
        </xsd:sequence>
      </xsd:complexType>
    </xsd:element>
    <xsd:element name="requestid" type="xsd:nonNegativeInteger" 
      minOccurs="1" maxOccurs="1"/>
  </xsd:sequence>
</xsd:complexType>
</xsd:schema>
